# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.09"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("7bf33d41a3dc3e9d35ed68fb6211e06362b6c4a9163a4daa1219936b32928626")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
