# general info
NAME="mtsc"
DESC="MatterLinux tools and scripts collection"
VERSION="24.08"

# required files
FILES=("https://git.matterlinux.xyz/Matter/mtsc/archive/${VERSION%m*}.tar.gz")
HASHES=("ce6041d5962d1877aeb7efd55b55056cd9074666b6ead3f1d5d35bde15f43c8b")

# install and build depends
DEPENDS=(
  "bash" "coreutils" "gnupg"
  "fakeroot" "tar" "matt"
  "cpio"
)
BUILD=()

PACKAGE(){
  tar xf "${VERSION%m*}.tar.gz"
  cd "${NAME}"

  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
